# Uses of Class
org.opensaml.saml.metadata.resolver.index.impl.LockableMetadataIndexManager

Packages that use LockableMetadataIndexManager
Package
Description
org.opensaml.saml.metadata.resolver.impl
Classes for retrieving, filtering, and querying metadata.

## Uses of LockableMetadataIndexManager in org.opensaml.saml.metadata.resolver.impl

Fields in org.opensaml.saml.metadata.resolver.impl declared as LockableMetadataIndexManager
Modifier and Type
Field
Description
`private LockableMetadataIndexManager<String>`
AbstractDynamicMetadataResolver.DynamicEntityBackingStore.`secondaryIndexManager`
Manager for secondary indexes.
Methods in org.opensaml.saml.metadata.resolver.impl that return LockableMetadataIndexManager
Modifier and Type
Method
Description
`LockableMetadataIndexManager<String>`
AbstractDynamicMetadataResolver.DynamicEntityBackingStore.`getSecondaryIndexManager()`
Get the secondary index manager.